- name: Check installed version
  shell: (cd /tmp; aquatone --version)
  register: installed
  ignore_errors: true

- name: Get latest version number
  ansible.builtin.uri:
    url: https://api.github.com/repos/michenriksen/aquatone/releases/latest
    return_content: true
  register: latest

- name: Make extract folder
  ansible.builtin.tempfile:
    state: directory
  register: temp
  when: "latest.json.tag_name not in installed.stdout"

- name: Download Latest Version
  ansible.builtin.unarchive:
    src: "https://github.com/michenriksen/aquatone/releases/download/{{ latest.json.tag_name }}/aquatone_linux_amd64_{{ latest.json.tag_name | replace('v', '') }}.zip"
    dest: "{{ temp.path }}"
    remote_src: yes
  when: "latest.json.tag_name not in installed.stdout"

- name: Install latest Version
  become: yes
  ansible.builtin.copy:
    src: "{{ temp.path }}/aquatone"
    dest: "/usr/local/bin/aquatone"
    owner: root
    group: root
    mode: "0755"
  when: "latest.json.tag_name not in installed.stdout"

- name: Delete extract folder
  ansible.builtin.file:
    path: "{{ temp.path }}"
    state: absent
  when: "latest.json.tag_name not in installed.stdout"
